com.tibbo.aggregate.common.datatable.converter.editor

## Class AbstractEditorOptionsConverter

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.converter.editor.AbstractEditorOptionsConverter

- All Implemented Interfaces:
    EditorOptionsConverter
  Direct Known Subclasses:
    ContextMaskConverter, DateRangeConverter, ExpressionConverter, ForeignInstanceConverter, FormatValueConverter, InstanceConverter, ReferenceConverter

      public abstract class AbstractEditorOptionsConverter
      extends java.lang.Object
      implements EditorOptionsConverter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.LinkedList<java.lang.String>` | `editors`
    `protected java.util.LinkedList<java.lang.String>` | `types`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEditorOptionsConverter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `convertToString(DataTable options)`
    `abstract TableFormat` | `getFormat()`
    `boolean` | `isSupportingEditor(java.lang.String editor)`
    `boolean` | `isSupportingType(java.lang.String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### editors

          protected final java.util.LinkedList<java.lang.String> editors

    - #### types

          protected final java.util.LinkedList<java.lang.String> types

  - ### Constructor Detail

    - #### AbstractEditorOptionsConverter

          public AbstractEditorOptionsConverter()

  - ### Method Detail

    - #### convertToString

          public abstract java.lang.String convertToString(DataTable options)

      Specified by:
        `convertToString` in interface `EditorOptionsConverter`

    - #### getFormat

          public abstract TableFormat getFormat()

      Specified by:
        `getFormat` in interface `EditorOptionsConverter`

    - #### isSupportingEditor

          public boolean isSupportingEditor(java.lang.String editor)

      Specified by:
        `isSupportingEditor` in interface `EditorOptionsConverter`

    - #### isSupportingType

          public boolean isSupportingType(java.lang.String type)

      Specified by:
        `isSupportingType` in interface `EditorOptionsConverter`